Subject: RE: HTML better for small PDAs

From: [email-masked]
Date: Mon, 26 Feb 2001 17:08:43 -0000

Christian,

Yes, I have already conceded that we need a "master copy" ( reference text
).  

My remarks were intended to combat the "ASCII is all things to all people"
attitude that seems to pervade these lists. It is not an argument against
the English language, as ASCII can be used for other languages, e.g. French
( albeit imperfectly - no accents, etc.)  However, ASCII can not be used for
languages such as Arabic and Chinese; to say that it is easily
understandable by everyone is facile and narrow-minded.

Whether we want to do anything about it, is another question.

Regards,

Graham Travers
* - Email:  [email-masked]

> -----Original Message-----
> From:	Christian Huitema [SMTP:[email-masked]]
> Sent:	Monday, February 26, 2001 4:47 PM
> To:	graham.travers; Valdis.Kletnieks
> Cc:	doug; ietf
> Subject:	RE: HTML better for small PDAs 
> 
> 
> > ASCII is NOT understandable by people who can't read and/or 
> > speak languages which use the Latin alphabet. It is not 
> > understandable by them now, and it was not understandable 40 
> > years ago.
> 
> Uh? This is an argument against the english language, not an argument
> againt the character set. If someone does not speak english, it matters
> very little whether the document is presented as 55x72 fixed typeset
> pages, Postscript, HTML, or XML. Indeed, we could also debate whether
> the documents should be made available in other languages than english,
> but the experience of organizations who do that , such as the UN, the
> EU, and to some degree the ITU, teaches us that quite a few lessons.
> First, this is a very expensive proposition; the IETF does not quite
> have the resource of maintaining a corps of interpreters. Second,
> translation is time consuming, and can be the cause of many publication
> delays, which can be used in standard-process games. Third, as
> translation is never a perfect bijection, there is a non-zero risk of
> conflicting interpretations of the various language texts, and thus lack
> of interoperability.
> 
> This is not to say that we should make efforts to have the IETF
> protocols documented in many languages, for people to understand. But I
> would rather draw a sharp separation between the reference text, for
> which a single language and a spartan presentation are adequate, and the
> educational material, which ought to be available in many languages,
> forms and shapes.
> 
> -- Christian Huitema

---

From: Michael Richardson <[email-masked]>
Date: Mon, 26 Feb 2001 14:32:46 -0500

I would like to see the IETF continue to consider the ASCII
text to be the master.

  I would additionally like to see the secretariat accept drafts
in some TBD XML markup as well as a corresponding ASCII. The provided
ASCII should match that which the secretariat produces, likely by
providing the XML->ASCII formatter on a web site, and basing it open
some open source implementation.

  Authors should provide the ASCII because they should have proofread
that version as well.

   :!mcr!:            |  Solidum Systems Corporation, http://www.solidum.com
   Michael Richardson |For a better connected world,where data flows faster<tm>
 Personal: http://www.sandelman.ottawa.on.ca/People/Michael_Richardson/Bio.html
	mailto:[email-masked]	mailto:[email-masked]

---

From: John Stracke <[email-masked]>
Date: Wed, 28 Feb 2001 11:58:52 -0500

[email-masked] wrote:

> Yes, I have already conceded that we need a "master copy"

The point is that, if there exists a non-master copy that's easier for some
people to read, they won't read the master.  If the non-master copy doesn't
agree with the master (and many of them won't), then these people *will* make
mistakes, and create non-interoperable implementations.  It won't even be their
fault; they're using the tools that were provided.

--
/================================================================\
|John Stracke    | http://www.ecal.com |My opinions are my own.  |
|Chief Scientist |===============================================|
|eCal Corp.      |All I ask is a chance to prove that money can't|
[email-masked]|make me happy.                                 |
\================================================================/